POST /data/projects/{project_id}/team

Add a person to a production team.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

application/json

Body Required

  • person_id string(uuid) Required

    Person unique identifier

Responses

  • 201 application/json

    Person added to the production team

    Hide response attributes Show response attributes object
    • id string(uuid)

      Project unique identifier

    • name string

      Project name

  • 400

    Invalid parameters

POST /data/projects/{project_id}/team
curl -X POST "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/team" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "person_id": "b35b7fb5-df86-5776-b181-68564193d36"
}'
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/team"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "person_id": "b35b7fb5-df86-5776-b181-68564193d36"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/team' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"person_id":"b35b7fb5-df86-5776-b181-68564193d36"}'
Request examples
{
  "person_id": "b35b7fb5-df86-5776-b181-68564193d36"
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "name": "My Project"
}